---
title: "getCloudCacheProductList"
slug: "database-vcache-getcloudcacheproductlist"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-getcloudcacheproductlist"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# getCloudCacheProductList
Available in VPC
Get the list of available Cloud DB for Cache server spec codes.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- getCloudCacheProductList API: Support for Valkey and Redis DBMS
- getCloudRedisProductList API: Support for Redis DBMS
## getCloudCacheProductList API
This section describes the request and response formats for the getCloudCacheProductList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vcache/v2/getCloudCacheProductList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). |
| `cloudCacheImageProductCode` | String | Required | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `productCode` | String | Optional | Filter by Cloud DB for Cache product code. - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). |
| `exclusionProductCode` | String | Optional | Filter by excluding the Cloud DB for Cache product code. - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheProductList
?regionCode=KR
&cloudCacheImageProductCode=SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
&productCode=SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
&exclusionProductCode=SVR.VRDS.STAND.C004.M003.NET.SSD.B050.G002' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"getCloudCacheProductListResponse": {
"totalRows": 1,
"productList": [
{
"productCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"productName": "Memory 1.5GB",
"productType": {
"code": "STAND",
"codeName": "Standard"
},
"productDescription": "1.5 GB memory",
"infraResourceType": {
"code": "VRDS",
"codeName": "Cloud DB for Cache (VPC)"
},
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"diskType": {
"code": "NET",
"codeName": "Network storage"
}
}
],
"requestId": "cc5baf55-****-****-****-97e0cd863759",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
cc5baf55-****-****-****-97e0cd863759
0
success
1
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
Memory 1.5GB
STAND
Standard
1.5 GB memory
VRDS
Cloud DB for Cache (VPC)
4
1610612736
2147483648
NET
Network storage
```
## getCloudRedisProductList API
This section describes the request and response formats for the getCloudRedisProductList API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/getCloudRedisProductList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance to query - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `zoneCode` | String | Optional | Filter by zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). |
| `cloudRedisImageProductCode` | String | Required | Filter by Cloud DB for Cache image product code. - See [getCloudCacheImageProductList](/docs/en/database-vcache-getcloudcacheimageproductlist). |
| `productCode` | String | Optional | Filter by Cloud DB for Cache product code. - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). |
| `exclusionProductCode` | String | Optional | Filter by excluding the Cloud DB for Cache product code. - See [getCloudCacheProductList](/docs/en/database-vcache-getcloudcacheproductlist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisProductList
?regionCode=KR
&cloudRedisImageProductCode=SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
&productCode=SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
&exclusionProductCode=SVR.VRDS.STAND.C004.M003.NET.SSD.B050.G002' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [ProductList](/docs/en/common-vapidatatype-productlist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"getCloudRedisProductListResponse": {
"totalRows": 1,
"productList": [
{
"productCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"productName": "Memory 1.5GB",
"productType": {
"code": "STAND",
"codeName": "Standard"
},
"productDescription": "1.5 GB memory",
"infraResourceType": {
"code": "VRDS",
"codeName": "Cloud DB for Cache (VPC)"
},
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"diskType": {
"code": "NET",
"codeName": "Network Storage"
}
}
],
"requestId": "cc5baf55-****-****-****-97e0cd863759",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
cc5baf55-****-****-****-97e0cd863759
0
success
1
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
Memory 1.5GB
STAND
Standard
1.5 GB memory
VRDS
Cloud DB for Cache (VPC)
4
1610612736
2147483648
NET
Network Storage
```